Subject: Re: [bug#74582] [PATCH python-team 1/4] build/pyproject: Really merge directories in install phase.

From: Lars-Dominik Braun <[email-masked]>
Date: Fri, 29 Nov 2024 08:23:59 +0100

Hi,

> +                  ;; Use 'copy-recursively' rather than 'rename-file' to guard
> +                  ;; against the odd case where DESTINATION is a non-empty
> +                  ;; directory, which may happen when using hybrid Python
> +                  ;; build systems.
> +                  (copy-recursively (string-append source "/" file)
> +                                    (string-append destination "/" file))
> +                  (delete-file-recursively (string-append source "/" file))

wouldn’t it be easier to remove this function entirely and move the
shebang-replacement via POST-MOVE into a separate function (perhaps
powered by FIND-FILES instead of SCANDIR)?

I believe with this patch we can also remove &cannot-extract-multiple-wheels
further down, since directories should be merged now, right?

Cheers,
Lars